{
  "name": "eai-frontend-vue",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "run-p build-only",
    "preview": "vite preview",
    "build-only": "vite build",
    "type-check": "vue-tsc --build",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
    "@onlyoffice/document-editor-vue": "^1.4.0",
    "@vue-office/docx": "^1.6.2",
    "@vueup/vue-quill": "^1.0.0-alpha.40",
    "axios": "^1.7.2",
    "crypto-js": "^4.2.0",
    "dayjs": "^1.11.13",
    "docx-preview": "^0.3.2",
    "echarts": "^5.6.0",
    "element-plus": "^2.9.7",
    "js-audio-recorder": "^1.0.7",
    "mitt": "^3.0.1",
    "pinia": "^2.1.7",
    "pinia-plugin-persistedstate": "^3.2.1",
    "spark-md5": "^3.0.2",
    "vue": "^3.4.29",
    "vue-demi": "^0.14.10",
    "vue-router": "^4.3.3",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.8.0",
    "@tsconfig/node20": "^20.1.4",
    "@types/node": "^20.12.5",
    "@vitejs/plugin-vue": "^5.0.4",
    "@vue/eslint-config-typescript": "^13.0.0",
    "@vue/tsconfig": "^0.5.1",
    "eslint": "^8.57.0",
    "eslint-plugin-vue": "^9.23.0",
    "npm-run-all2": "^6.1.2",
    "sass": "^1.86.1",
    "typescript": "~5.4.0",
    "vite": "^5.2.8",
    "vue-tsc": "^2.0.11"
  }
}
